Bug 24474 - can't use driver disk in LS-120 drive
can't use driver disk in LS-120 drive
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Florence Gold
Depends On:
  Show dependency treegraph
Reported: 2001-01-20 21:26 EST by Sean Dilda
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-01-28 17:06:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sean Dilda 2001-01-20 21:26:26 EST
When trying to use a driver disk on a machine with an LS-120 drive and no
normal floppy, anaconda fails to mount the driver disk.

The last thing tty3 reports is:
* trying to mount device /tmp/fd0

It looks like this is mainly a problem of anaconda looking in the wrong
place for the driver disk, its looking at fd0 when it should (in my case)
be trying to mount hdc
Comment 1 Bill Nottingham 2001-01-20 22:40:28 EST
Does your machine have any floppy drive at all, or even a floppy
Comment 2 Sean Dilda 2001-01-21 02:50:47 EST
The machine does have a floppy controller built into the motherboard, but there
is no drive attached to it.  The LS-120 is the only drive on the machine that
can actually take a floppy disk.
Comment 3 Sean Dilda 2001-01-21 19:25:46 EST
More Information:

When booting a bootnet floppy with 'linux dd' , tty3 shows
* probing for ide floppies
* no ide floppy devices found

dmesg after booting the 2.4.0-0.43.12spm kernel reports:
hdc: LS-120 CSMO 05 UHD Floppy, ATAPI FLOPPY drive

These are from the same machine with no hardware changes, removing the floppy
and turning it off then back on.

lspci -v for the ide controller:
00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01) (prog-if 80
	Flags: bus master, medium devsel, latency 64
	I/O ports at ffa0 [size=16]
Comment 4 Glen Foster 2001-01-22 12:41:26 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 5 Brent Fox 2001-01-28 17:06:40 EST
This is fixed in the latest internal builds.  I have a test machine that has an
LS-120 and no floppy.  You have to completely disable the floppy controller in
the bios, though.  Otherwise, the kernel thinks there is still a floppy drive
Brock, please verify that this works now.  I have a test machine that you can

Note You need to log in before you can comment on or make changes to this bug.